Skip to main content
GET
/
connections
List connections
curl --request GET \
  --url https://api.lava.so/v1/connections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "connection_id": "con_test_01KJHF4SFK3XSHV90AB3FAWR6G",
      "has_lava_credit_balance": true,
      "customer": {
        "phone": "+14155552671",
        "email": "user@example.com",
        "first_name": "Jane",
        "last_name": "Smith"
      },
      "subscription": {
        "subscription_id": "<string>",
        "subscription_config_id": "<string>",
        "name": "<string>",
        "status": "active"
      },
      "created_at": "2023-05-15T08:35:42Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'

Query Parameters

cursor
string

Pagination cursor from a previous response

limit
integer
default:10

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100

Response

List of connections

data
object[]
has_more
boolean
next_cursor
string